Bug 484896

Summary: spu-gcc unable to find spu-binutils
Product: [Fedora] Fedora Reporter: Jochen Roth <jroth>
Component: spu-binutilsAssignee: Jochen Roth <jroth>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: adrian, jroth, notting
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 07:14:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jochen Roth 2009-02-10 10:49:20 EST
Description of problem:
spu-gcc is unable to find the spu-binutils in /usr/spu/bin
The fallback uses /usr/bin/as and thus crashes. 

[root@zen matrix_mul]# make
make[1]: Entering directory `/opt/cell/sdk/src/demos/matrix_mul/spu'
/usr/bin/ccache /opt/cell/toolchain/bin/spu-gcc        -W -Wall -Winline -Wno-main  -I. -I.. -I /opt/cell/sysroot/opt/cell/sdk/usr/spu/include  -O -c block.c
/tmp/cc7q6lza.s: Assembler messages:
/tmp/cc7q6lza.s:3: Error: alignment not a power of 2
/tmp/cc7q6lza.s:6: Error: no such instruction: `il $6,-864'
/tmp/cc7q6lza.s:7: Error: no such instruction: `stqd $122,-688($sp)'
/tmp/cc7q6lza.s:8: Error: no such instruction: `ilhu $122,1029'
/tmp/cc7q6lza.s:9: Error: no such instruction: `hbrp '
<blah,blah,blah>


http://www.ibm.com/developerworks/forums/thread.jspa?messageID=14212363
Comment 1 Jochen Roth 2009-02-10 10:52:50 EST
I'm working on a solution which fixes this problem on the 64bit architectures.
The update will be in Fedora 10 and rawhide soon.
Comment 2 Bug Zapper 2009-06-09 07:13:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:55:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:14:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.